# Math Utilities

Miscellaneous math functions used within ARHeadsetKit.

## Topics

### Miscellaneous

- ``roundUpToPowerOf2(_:)``
- ``kelvinToRGB(_:)``
- ``simd_slerp(from:to:t:)-44knj``
- ``simd_slerp(from:to:t:)-21yxa``

### Angle Conversion

- ``degreesToRadians(_:)``
- ``radiansToDegrees(_:)``

### Affine Transforms

- ``matrix3x3_scale(_:)``
- ``matrix3x3_scale(sx:sy:sz:)``
- ``matrix4x4_scale(_:)``
- ``matrix4x4_scale(sx:sy:sz:)``
- ``matrix4x4_translation(_:)``
- ``matrix4x4_translation(tx:ty:tz:)``

### Perspective Transforms

- ``matrix4x4_perspective(fovRadiansY:aspect:nearZ:farZ:)``
- ``matrix4x4_perspective(xs:ys:nearZ:farZ:)``
